gv (1:3.7.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add "-std=gnu17" to CFLAGS (Closes: #1096792).

 -- Hilmar Preuße <hille42@debian.org>  Thu, 30 Oct 2025 23:42:27 +0100

gv (1:3.7.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
    - Target latest changes to unstable (Closes: #1056347).
  * Change Dep of ghostscript-x to ghostscript (Closes: #1036873).

 -- Hilmar Preuße <hille42@debian.org>  Fri, 21 Feb 2025 22:19:29 +0100

gv (1:3.7.4-3) experimental; urgency=medium

  * also register application/postscript in gv.mime (Closes: #902141)
  * cherry-pick commits from unreleased upstream:
  - Fix crash in zoom.c (Closes: #824745)
  - Do not segfault on buggy postscript files (Closes: #729618, #924028)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 09 Mar 2019 19:36:40 +0100

gv (1:3.7.4-2) unstable; urgency=medium

  * bump Standards-Version
  * remove outdated Vcs- fields
  * set harding=+all, unconditionally use dpkg-buildflags
  * switch to debhelper 12

 -- Bernhard R. Link <brlink@debian.org>  Sun, 27 Jan 2019 19:09:22 +0100

gv (1:3.7.4-1) unstable; urgency=low

  * new upstream release
  - incorporates the patch for the gv-update-userconfig manpage
  * bump Standards-Version
  * improve Vcs- fields

 -- Bernhard R. Link <brlink@debian.org>  Sat, 31 Aug 2013 17:33:44 +0200

gv (1:3.7.3.90-1) experimental; urgency=low

  * new upstream prerelease
  * Bump Standards-Version
  * avoid entering cross-mode on native builds

 -- Bernhard R. Link <brlink@debian.org>  Sun, 01 Apr 2012 14:45:11 +0200

gv (1:3.7.3-1) unstable; urgency=low

  * new upstream release
  * improve gv-update-userconfig manpage (Closes: 647349)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 10 Dec 2011 15:52:02 +0100

gv (1:3.7.2.90-1) experimental; urgency=low

  * new upstream pre-release

 -- Bernhard R. Link <brlink@debian.org>  Tue, 04 Oct 2011 17:38:35 +0200

gv (1:3.7.2-2) unstable; urgency=low

  * fix usage of uninitialized paremeter when parsing .ps files, causing
    random misparsings under some conditions (Closes: 627471)
  * bump Standards-Version ti 3.9.2, no changes required

 -- Bernhard R. Link <brlink@debian.org>  Sat, 06 Aug 2011 20:08:56 +0200

gv (1:3.7.2-1) unstable; urgency=low

  * new upstream release

 -- Bernhard R. Link <brlink@debian.org>  Sat, 30 Apr 2011 15:24:12 +0200

gv (1:3.7.1.90-1) experimental; urgency=low

  * new upstream pre-version
  - incorprates all patches, so none left
  - update debian/copyright

 -- Bernhard R. Link <brlink@debian.org>  Fri, 22 Apr 2011 16:59:40 +0200

gv (1:3.7.1-3) unstable; urgency=low

  * fix segfault on 64 bit architectures if SSH_CLIENT is set
    (Closes: 618449)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 19 Mar 2011 11:23:04 +0100

gv (1:3.7.1-2) unstable; urgency=low

  * cherry pick a couple of commits from upstream:
  - remove version fields from German translations
  - better error message for incompatible resource versions
  - include frensh and italian translations
  - fix unexpected scrolling of TOC (Closes: 594991)
  - improve remove address detection for aspect ratio
  - don't use apLineDel Keysym (Closes: 613786)
  * bump Standards-Version
  * change debhelper compatibility to 7
  * modernize debian/rules flag handling, use dpkg-buildflags if
    available
  * show beginning instead of end of last error message (Closes: 597080)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 17 Feb 2011 11:08:54 +0100

gv (1:3.7.1-1) unstable; urgency=medium

  * new upstream release
  - incorporates all patches of the previous Debian revision
    and remove the directory hack no longer needed.
  - priority medium as security fixes still not in testing

 -- Bernhard R. Link <brlink@debian.org>  Fri, 11 Jun 2010 13:23:27 +0200

gv (1:3.6.91-1) unstable; urgency=medium

  * new upstream prerelease
  - targeted to unstable as it fixes security bugs:
  - run gs by default in safe directories (Closes: 583316)
  * build-depend on autotools-dev and do the config.{guess,sub}
    dance, as usage of more gnulib now needs those files again.
  * work around Makefile not creating directories recursively by
    creating /usr/share/gv before calling make install

 -- Bernhard R. Link <brlink@debian.org>  Thu, 03 Jun 2010 13:27:24 +0200

gv (1:3.6.90-1) experimental; urgency=low

  * new upstream prerelease (with support for translations)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 15 May 2010 12:20:06 +0200

gv (1:3.6.9-1) unstable; urgency=low

  * new upstream release

 -- Bernhard R. Link <brlink@debian.org>  Mon, 26 Apr 2010 16:30:09 +0200

gv (1:3.6.8.91-1) experimental; urgency=low

  * new upstream prerelease
  * bump Standards-Version

 -- Bernhard R. Link <brlink@debian.org>  Wed, 10 Mar 2010 12:38:37 +0100

gv (1:3.6.8-1) unstable; urgency=low

  * new upstream release
  * fix problems with newer install-info
  * bump Standards-Version: no changes needed.
  * install a .desktop file (Closes: 466532)

 -- Bernhard R. Link <brlink@debian.org>  Mon, 04 Jan 2010 18:46:45 +0100

gv (1:3.6.7-1) unstable; urgency=low

  * new upstream release
  - better error message with XUSERFILESEARCHPATH (Closes: 516995)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 22 Mar 2009 16:13:12 +0100

gv (1:3.6.6.91-1) unstable; urgency=low

  * new upstream release candidate
  * upload to unstable (closes: 500300)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 15 Feb 2009 12:14:41 +0100

gv (1:3.6.6.90-1) experimental; urgency=low

  * new upstream pre-release
  - fix table of contents and file open lists to support more entries
    (Closes: 105666)
  * drop pre-lenny support (and some little cleanups)
  - no longer have alternate dependencies on old gs
  - DEB_BUILD_OPTIONS only space separated
  * add --without-libzio to avoid spurious linking against libz and libbz2

 -- Bernhard R. Link <brlink@debian.org>  Sat, 24 Jan 2009 12:38:06 +0100

gv (1:3.6.5.91-1) experimental; urgency=low

  * new upstream pre-release
  - add alternate page navigation (Closes: 160924)
  - support encrypted pdf files (Closes: 259430)
  - support for files > 2gb (Closes: 497044)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 04 Sep 2008 17:25:46 +0200

gv (1:3.6.5.90-1) experimental; urgency=low

  * new upstream pre-release
  - no longer needs any patches
  - adds some Xinerama support (Closes: 83693)
  - return key scrolls vertically through the document  (Closes: 230297)
  - fix typos in error message (Closes: 494345)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 10 Aug 2008 12:57:29 +0200

gv (1:3.6.5-2) unstable; urgency=low

  * give appdefaultsdir as argument instead of changing Makefile.in
  * add gv-update-userconfig and resource-warning.diff, backporting nicer
    resource error message from upstream's CVS (Closes: 491393)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 20 Jul 2008 15:06:19 +0200

gv (1:3.6.5-1) unstable; urgency=low

  * new upstream release
  - dropped patches as merged upstream:
    commentappdefaults.diff

 -- Bernhard R. Link <brlink@debian.org>  Sat, 05 Jul 2008 20:13:00 +0200

gv (1:3.6.4.90-1) experimental; urgency=low

  * new upstream pre-release
  - dropped patches as merged/superseded upstream:
    26497_widgetless, man-whatis
  - has presentation mode (Closes: 99305)
  - scale to arbitrary size, fit to window, ... (Closes: 142552, 429599)
  - license changed to GPLv3+ :-(
  * remove build-dependency to texinfo
  * update to policy 3.8.0
  * remove obsolete conflicts and replaces
  * make content of app-defaults commented out (commentappdefaults.diff)
  * document new scaling in --help and manpage (scaledoc.diff)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 21 Jun 2008 15:47:34 +0200

gv (1:3.6.4-3) unstable; urgency=low

  * re-add build-dependency to texinfo, as it is still needed.

 -- Bernhard R. Link <brlink@debian.org>  Thu, 05 Jun 2008 11:42:37 +0200

gv (1:3.6.4-2) unstable; urgency=low

  * fix LIBS to be LIBS of minimal libraries installed
  * put libraries already pulled indirectly in build-depends when directly used
  * remove build-dependency to texinfo, as that is no longer patched thus not
    called at build time.

 -- Bernhard R. Link <brlink@debian.org>  Wed, 04 Jun 2008 15:28:22 +0200

gv (1:3.6.4-1) unstable; urgency=low

  * new upstream version
  - no longer need to repack as problematic files are gone
  - dropped patches as merged/superseded upstream:
  05_314947_FTBFS_GNU_kFreeBSD, 201439_escape, 299447and433898-nested-eps,
  95266_filename_as_title, 439067resources, 149032fontsets,
  276639popupwithinscreen, 04_309949_grayscale, no_non_free_stdc_h,
  texinfo-dircategory
  * fix debian/watch: ftp.gnu.org only speaks ftp not http
  * drop patches/configure_drop_libs, use LIBS given to Makefile instead

 -- Bernhard R. Link <brlink@debian.org>  Tue, 03 Jun 2008 10:56:45 +0200

gv (1:3.6.3dfsg-6) unstable; urgency=low

  * remove Vcs-* headers, as Vcs- is not for upstream's vcs.
  * try to keep popup windows within the screen (Closes: 276639)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 06 Dec 2007 19:09:31 +0100

gv (1:3.6.3dfsg-5) unstable; urgency=high

  * depend on new ghostscript-x instead of gs (Closes: 448679)
  * to work around ghostscript providing gs and gs-gpl without
    the full functionality of those packages, the alternative depends
    are versioned on the packages I know of that offered gs. I hope
    noone has another package providing gs around they want to have
    installed exclusively.
  * make Homepage: a proper header, move XS-Vcs to Vcs-

 -- Bernhard R. Link <brlink@debian.org>  Wed, 31 Oct 2007 10:46:14 +0100

gv (1:3.6.3dfsg-4) unstable; urgency=low

  * properly handle FontSets in Vlist.c when International resource is set
    (Closes: 149032)

 -- Bernhard R. Link <brlink@debian.org>  Wed,  3 Oct 2007 14:20:19 +0200

gv (1:3.6.3dfsg-3) unstable; urgency=low

  * don't crash when XUSERFILESEARCHPATH is set (Closes: 439067, 441450)
  * update to new menu policy

 -- Bernhard R. Link <brlink@debian.org>  Mon, 10 Sep 2007 18:32:49 +0200

gv (1:3.6.3dfsg-2) unstable; urgency=low

  * do not mistake %xxxxDocument for %%EndDocument (Closes: 433898)
  * add option to use filename as title (Closes: 95266)
  * add widgetless mode (Closes: 26497)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 28 Jul 2007 17:05:44 +0200

gv (1:3.6.3dfsg-1) unstable; urgency=low

  * new maintainer (Closes: 407666)
  * no longer uses quilt at build time (nor the seperated patches)
  * general clean up (complete debian/copyright, clean up debian/rules, ...)
  * add Vcs-{Browse,CVS} headers
  * new upstream version
  - handle filenames starting with "-" (Closes: 397118)
  - includes fix for CVE-2006-5864 (so droping patches/398292-CVE-2006-5864)
  - fixes X resource handling (so droping patches/393454_config)
  * repack source to remove files with problematic licenses

 -- Bernhard R. Link <brlink@debian.org>  Sun, 15 Jul 2007 21:38:19 +0200

gv (1:3.6.2-4) unstable; urgency=low

  * QA upload.
  * gv has been orphaned. Setting maintainer to QA group.
  * Fix reading of ~/.gv config file. (Closes: #393454)
  * Fix handling of files with nested .eps files. (Closes: #299447)

 -- Stefan Fritsch <sf@debian.org>  Sat, 05 May 2007 14:51:16 +0200

gv (1:3.6.2-3) unstable; urgency=high

  * Update fix for CVE-2006-5864 as in DSA 1214-2 (See: #398292).

 -- Christoph Berg <myon@debian.org>  Fri,  5 Jan 2007 17:02:41 +0100

gv (1:3.6.2-2) unstable; urgency=high

  * Apply patch by Werner Fink to fix ps_gettext() buffer overflow
    vulnerability (Closes: #398292, CVE-2006-5864).
  * Put @dircategory before @direntry so that it still works as debhelper
    doesn't parse INFO-DIR-SECTION anymore (See: #337215, Blame: texinfo).

 -- Christoph Berg <myon@debian.org>  Mon, 13 Nov 2006 15:39:11 +0100

gv (1:3.6.2-1) unstable; urgency=low

  * New upstream version.
  * Removed patches that went upstream:
    + 02_293976=045735_filename+unknown
    + 03_294864=295056_scrollbar
    + 06_334400_getopt_long_only
    + 148533_use_Xresources

 -- Christoph Berg <myon@debian.org>  Wed, 11 Oct 2006 16:48:33 +0200

gv (1:3.6.1-15) unstable; urgency=low

  * Depend on gs-gpl | gs.
  * Add debtags to control file.

 -- Christoph Berg <myon@debian.org>  Fri, 22 Sep 2006 12:45:57 +0200

gv (1:3.6.1-14) unstable; urgency=low

  * Use quilt for patches.
  * Add patch by Bernhard Link to honor X resources (Closes: #148533).
  * Add patch by Bernhard Link to enable ESC in dialog windows
    (Closes: #201439).
  * Put info page in correct section again.
  * Use a sane whatis entry in manpage.

 -- Christoph Berg <myon@debian.org>  Wed, 13 Sep 2006 12:51:39 +0200

gv (1:3.6.1-13) unstable; urgency=low

  * New maintainer (Closes: #347447).
  * Move /usr/lib/gv to /usr/share/gv.
  * Use dpatch for patches.
  * Add patch to recognize single-dash options again (Closes: #334400).
  * Convert packaging to debhelper.
  * Remove old install-mime compatibility stuff (cf. version 1:3.5.8-14).
  * Remove install-docs call (Closes: #315787).
  * Remove 3.5.8 patches.
  * Update Description.
  * Bump Standards-Version.

 -- Christoph Berg <myon@debian.org>  Sat, 28 Jan 2006 22:08:19 +0100

gv (1:3.6.1-12) unstable; urgency=low

  * Fixed FTBFS on GNU/kFreeBSD, closes: #314947.
    Thanks to Aurelien Jarno.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 20 Jun 2005 20:17:55 +0200

gv (1:3.6.1-11) unstable; urgency=low

  * Fixed option --grayscale, closes: #309949.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 20 May 2005 22:33:05 +0200

gv (1:3.6.1-10) unstable; urgency=medium

  * Re-upload of 1:3.6.1-10 to trigger rebuild on arm.
  * Added README.Debian note that command line arguments have changed,
    closes: #295711.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 24 Mar 2005 17:04:15 +0100

gv (1:3.6.1-9) unstable; urgency=medium

  * Fixed configure script, enabled scrollbar code, closes: #294864.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 13 Feb 2005 20:43:15 +0100

gv (1:3.6.1-8) unstable; urgency=low

  * Enabled signal handling, closes: #294863.
  * This time really added DEB_BUILD_OPTIONS="debug", see 1:3.6.1-7.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 12 Feb 2005 07:41:25 +0100

gv (1:3.6.1-7) unstable; urgency=high

  * Re-applied lost 3.5.8 patch (filename quotation), closes: #293976.
  * Added DEB_BUILD_OPTIONS="debug".

 -- Martin A. Godisch <godisch@debian.org>  Mon, 07 Feb 2005 17:20:25 +0100

gv (1:3.6.1-6) unstable; urgency=medium

  * Reverted changes for ghostview upgrade path, closes: #293812,
    reopens: #289864, #291443.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 06 Feb 2005 08:36:50 +0100

gv (1:3.6.1-5) unstable; urgency=low

  * Added compatibility symlink and provides for ghostview users,
    closes: #291443.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 21 Jan 2005 16:01:40 +0100

gv (1:3.6.1-4) unstable; urgency=low

  * Conflict with and replace ghostview, closes: #289864.
  * Fixed prerm script.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 14 Jan 2005 20:21:55 +0100

gv (1:3.6.1-3) unstable; urgency=low

  * Removed pdf2dsc and pdf2ps patch, closes: #288696.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 08 Jan 2005 09:29:10 +0100

gv (1:3.6.1-2) unstable; urgency=low

  * Adjusted build-dependencies, closes: #288291.
  * Fixed lintian errors.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 03 Jan 2005 18:34:25 +0100

gv (1:3.6.1-1) unstable; urgency=low

  * New upstream release, closes: #282253.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 01 Jan 2005 21:59:30 +0100

gv (1:3.5.8-36) unstable; urgency=medium

  * Reverted gs-gpl dependency, closes: #269339.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 01 Sep 2004 05:41:05 +0200

gv (1:3.5.8-35) unstable; urgency=medium

  * Reenabled fixed DELAYSAFER, closes: #243442 et al.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 31 Aug 2004 18:05:20 +0200

gv (1:3.5.8-34) unstable; urgency=medium

  * Further patches cleanup.
  * Replaced gs dependency with gs-gpl.
  * Added double-buffering support, closes: #206008.
    Thanks to Fabrice Le Fessant and Martin Quinson.
  * Fixed error message when opening empty files, closes: #252548.
  * Deactivated DELAYSAFER patch, closes: #269234.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 31 Aug 2004 17:32:55 +0200

gv (1:3.5.8-33) unstable; urgency=medium

  * Big build system cleanup.
  * Changed function of delete key, closes: #159433.
  * Hid hidden directories, closes: #223556.
  * Fixed opening files in /tmp, closes: #243442 et al.
  * Fixed permissions of tempfiles, closes: #250854.
  * Removed xutils from build-dependencies.
  * Updated standards version, added watch file.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 29 Aug 2004 14:31:10 +0200

gv (1:3.5.8-32) unstable; urgency=medium

  * New maintainer upload,
    closes: #212174, #206486, #206554, #206798, #212839.
  * Applied bzip2 patch, closes: #153001.
    Thanks to Tobias Burnus and Euan MacGregor.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 28 Aug 2004 20:49:20 +0200

gv (1:3.5.8-31) unstable; urgency=low

  * Rebuild with correct umask (closes: #220807, #221042, #222314)

 -- Christian Kesselheim <ckesselh@debian.org>  Thu, 11 Dec 2003 19:45:11 +0100

gv (1:3.5.8-30) unstable; urgency=low

  * FTBFS when using gcc-3.3 fixed (closes: #197187)

 -- Christian Kesselheim <ckesselh@debian.org>  Fri, 13 Jun 2003 00:37:10 +0200

gv (1:3.5.8-29) unstable; urgency=low

  * Algorithm for guessing page media by looking at the documents
    bounding box fixed (closes: #175023, #167994)
  * GV did throw a segfault, when triggering "Respect document structure"
    twice; fixed (closes: #152171)
  * Upgraded to standards version 3.5.9.0

 -- Christian Kesselheim <ckesselh@debian.org>  Wed, 14 May 2003 17:01:15 +0200

gv (1:3.5.8-28) unstable; urgency=low

  * Prevent gv from rashly triggering TOC update if only numeric keypad
    navigation was used (thanx to Sebastian Leske
    <Sebastian.Leske@bigfoot.de> for tracking down this problem)
    (closes: #166654)
  * Quotes in man page fixed (patch by Kevin Ryde <user42@zip.com.au>)
    (closes: #163745)
  * Access beyound end of array fixed (closes: #167029)
  * DSC parsing has been made case insensitive and does no longer insist
    on trailing colons after each name; this will hopefully result in
    less problems concerning badly structured documents (closes: #179643)

 -- Christian Kesselheim <ckesselh@debian.org>  Tue,  6 May 2003 21:12:19 +0200

gv (1:3.5.8-27) unstable; urgency=high

  * SECURITY: Fixed buffer overflow bug that allowed malformed
    PDF/Postscript files to cause arbitrary code to run with the
    privileges of the current user (closes: #162830).
    Thanks to Jan Niehusmann <jan@gondor.com> for the patch.

 -- Christian Kesselheim <ckesselh@debian.org>  Fri, 11 Oct 2002 12:15:59 +0100

gv (1:3.5.8-26) unstable; urgency=low

  * Upgraded to standards version 3.5.6.0
  * Maintainer's email address exchanged
  * Minor spelling mistakes in manpage fixed

 -- Christian Kesselheim <ckesselh@debian.org>  Thu, 21 Mar 2002 14:58:18 +0100

gv (1:3.5.8-25) unstable; urgency=high

  * New maintainer
  * Keep page markers in ToC when toggeling 'antialiasing'
    or some of the other flags (closes: #111039)
  * Corrected handling of '-nosafer' and '-noquiet' (closes: #63223)
  * Broken handling of malformed EPS files fixed (closes: #66059)
  * Update ToC after auto-scrolling (closes: #46607)
  * Replaced email address in "send error reports to" field
    by maintainer's address, because upstream is dead
  * Bashism in debian/rules fixed

 -- Christian Kesselheim <ckesselh@infeurope.lu>  Mon, 11 Feb 2002 13:38:12 +0100

gv (1:3.5.8-24) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 12:50:51 +0100

gv (1:3.5.8-23) unstable; urgency=high

  * Added a "Documents" menu hint. (closes: #121035)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 11 Jan 2002 01:12:57 +0100

gv (1:3.5.8-22) unstable; urgency=high

  * Make gv build again (patch by Jeff Licquia
    <jlicquia@progeny.com>). (closes: #109902)
  * Corrected some URLs in the documentation. (closes: #101630)
  * Use the full path for the menu icon. (closes: #96346)

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 30 Aug 2001 21:19:07 +0200

gv (1:3.5.8-21) unstable; urgency=low

  * Removed the outdated debian/shlibs.local.
  * Strip gv better.
  * Added a menu hint. (closes: #82334)

 -- Adrian Bunk <bunk@fs.tum.de>  Wed, 14 Feb 2001 19:52:19 +0100

gv (1:3.5.8-20) unstable; urgency=low

  * Added missing build dependency on xutils. (closes: #80186)
  * Enable antialiasing by default. (closes: #79913)
  * Make /etc/X11/app-defaults/GV a conffile.

 -- Adrian Bunk <bunk@fs.tum.de>  Tue, 16 Jan 2001 00:40:35 +0100

gv (1:3.5.8-19) unstable; urgency=low

  * Moved app-defaults from /usr/X11R6/lib/X11 to /etc/X11.
    (closes: #77601)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 15 Dec 2000 00:42:46 +0100

gv (1:3.5.8-18) unstable; urgency=low

  * New maintainer.
  * This upload goes to unstable. (closes: #68810)
  * Added "-isp" to dpkg-gencontrol in debian/rules.
  * Added Build-Depends.
  * Updated the package description.

 -- Adrian Bunk <bunk@fs.tum.de>  Mon, 18 Sep 2000 12:35:57 +0200

gv (1:3.5.8-17) frozen; urgency=low

  * Corrected wrong link from /usr/doc/gv to
    ../share/doc/gv (previously it pointed to ../share/doc/gv#).
    The only file affected is debian/postinst (closes: Bug#61140)

 -- Marco Pistore <pistore@debian.org>  Mon, 27 Mar 2000 10:36:00 +0200

gv (1:3.5.8-16) unstable; urgency=low

  * Removed empty lines from the top of file doc/gv.html,
    so that it is correctly recognized as a html file
    by dwww (closed: Bug#58977)
  * Added DOCTYPE header to the doc/gv*.html files
  * Documentation moved to /usr/share/doc/gv and link in /usr/doc
    created.
  * Moved to a recent debian-policy (3.1.1.1).

 -- Marco Pistore <pistore@debian.org>  Fri,  3 Mar 2000 08:38:47 +0100

gv (1:3.5.8-15) unstable; urgency=low

  * Corrected weird error in preinst (closes: Bug#47044)

 -- Marco Pistore <pistore@debian.org>  Tue,  12 Oct 1999 02:01:30 +0200

gv (1:3.5.8-14) unstable; urgency=low

  * Corrected the upstream URL in the copyright file (closes: Bug#41667)
  * Now mime informations are handled via the update-mime approach
    (closes: Bug#43331)
  * Changed my email address to pistore@debian.org

 -- Marco Pistore <pistore@debian.org>  Wed,  6 Oct 1999 23:12:30 +0200

gv (1:3.5.8-13) unstable; urgency=low

  * Readded menu entry (closes: Bug#41216)

 -- Marco Pistore <pistore@di.unipi.it>  Fri, 16 Jul 1999 02:03:04 +0200

gv (1:3.5.8-12) unstable; urgency=low

  * Corrected the doc-base control file (closes: Bug#31771)
  * Removed explicit dwww support: doc-base supplies it
    (closes: Bug#31772)

 -- Marco Pistore <pistore@di.unipi.it>  Tue,  6 Jul 1999 22:38:32 +0200

gv (1:3.5.8-11) unstable; urgency=low

  * Special characters of filenames are now quoted in the commands that
    print, decompress and deal with PDF files (added function
    quote_filename to file misc.c; modified files source/save.c and
    source/ps.c) (closes: Bug#30738)
  * Removed double quotes from commands that print, decompress and deal
    with PDF files: they are no more needed (modified files config.Unix
    and source/Imakefile)
  * Added support for doc-base (closes Bug#31152)

 -- Marco Pistore <pistore@di.unipi.it>  Sat,  2 Jan 1999 22:08:25 +0100

gv (1:3.5.8-10) unstable; urgency=low

  * Changed scratch dir from ~ to /tmp in file config.Unix
    (closes: Bug#30520).
  * Changed print command in file config.Unix: the file name is
    now quoted and gv prints also files with spaces (closes: Bug#30738).
  * Changed command for uncompressing .gz files and for managing
    PDF files in source/Imakefile so that the involved file names
    are quoted (closes: Bug#30514).
  * Modified ps.c, so that strings %dsc and %pdf can appear in the command
    that extract the structure from PDF files. Changed the default command to
    'pdf2dsc "%pdf" "%dsc"'.
  * Changed the default command that converts PDF files into PS files
    to 'pdf2ps "%pdf" "%ps"'.
  * Added support for quoted strings in function process_fork in file
    process.c.
  * Now forward scrolling is allowed also when gv is called from a pipe:
    modified file callbacks.c (closes: Bug#28382, Bug#29706).
  * Redisplay is disabled for non-(gv_psfile) execution: modified
    files misc.c and miscmenu.c.

 -- Marco Pistore <pistore@di.unipi.it>  Sat, 19 Dec 1998 23:36:13 +0100

gv (1:3.5.8-9) unstable frozen; urgency=low

  * Rewritten description in control file (now PDF support is
    provided also by GNU gs, not only by Aladdin gs). For the same
    reason, removed Suggests: gs-aladdin.
  * Modified save.c, so that strings %ps and %pdf can appear in the command
    that converts PDF files into PS files. Changed the default command to
    "pdf2ps %pdf %ps" that works both with gs 4 and with gs 5.
    (Closes: Bug:#30255)

 -- Marco Pistore <pistore@di.unipi.it>  Mon,  7 Dec 1998 18:43:45 +0100

gv (1:3.5.8-8) unstable; urgency=low

  * Scratch dir back to ~/
  * Now a "/" is automatically added to the end of the default scratch dir
    if it is not present (so, if you set the scartch directory to
    /tmp, the scratch files are saved into "/tmp/", not into "/"):
    modified "source/file.c".  (Closes: Bug#23055)

 -- Marco Pistore <pistore@di.unipi.it>  Wed, 17 Jun 1998 00:08:51 +0200

gv (1:3.5.8-7) unstable frozen; urgency=low

  * I forgot to upload previous version also to FROZEN!
    BRIAN, please include this in HAMM, since it avoids a conflict
    the BO version of fvwm-common.

 -- Marco Pistore <pistore@di.unipi.it>  Sun,  5 Apr 1998 19:17:58 +0200

gv (1:3.5.8-6) unstable; urgency=low

  * Added "Replaces: fvwm-common (<< 2.0.46-BETA-2)".
    File /usr/X11R6/include/X11/pixmaps/mini-gv.xpm is present both in gv
    and in old versions of package fvwm-common (for instance, the one in
    debian 1.3). The "Replaces: fvwm-common" allows to install the package
    without the --force-overwrite flag. See Packaging 8.5.1 (thanks James).

 -- Marco Pistore <pistore@di.unipi.it>  Fri,  3 Apr 1998 22:11:04 +0200

gv (1:3.5.8-5) unstable frozen; urgency=low

  * New maintainer
  * Typos in package description fixed (closes Bug#18925)
  * Scartch dir is now /tmp (closes Bug#18728)
  * Address of FSF corrected (lintian bug)
  * Man and doc files have now mode 644 (lintian bug)
  * -rpath (for xaw3d) has been removed: all works perfectly well also
    without it
  * Small changes in the rules file

 -- Marco Pistore <pistore@di.unipi.it>  Wed, 25 Mar 1998 11:20:51 +0100

gv (1:3.5.8-4) unstable; urgency=low

  * Hech. I forgot the epock so dpkg will replace the `.1' version.  One more go.

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Tue,  9 Dec 1997 03:36:49 -0800

gv (3.5.8-3) unstable; urgency=low

  * Really fix the depends on xaw3dg using a shlibs.local file.
    fixes bug #15514

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Tue,  9 Dec 1997 02:42:19 -0800

gv (3.5.8-2) unstable; urgency=low

  * Increment version number so that it will upgrade the non-maintainer version
  `-.1' that should have been `-0.1'.

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Mon, 24 Nov 1997 12:51:57 -0800

gv (3.5.8-1) unstable; urgency=low

  * I've closed a bunch of outstanding bug reports, many of which should
    have been closed earlier.
  * Depend on `xaw3dg' (several bugs, merged, 13986)

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Sat, 22 Nov 1997 22:59:39 -0800

gv (3.5.8-.1) unstable; urgency=low

  * Non-maintainer release
  * Latest version - Pristine sources.
  * compiled with xlib6g, and libc6

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Wed,  1 Oct 1997 11:02:22 -0700

gv (3.4.3-1.1) unstable; urgency=low

  * Non-maintainer release, compiled with xlib6g.

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Tue, 30 Sep 1997 17:06:16 -0700

gv (3.4.3-1) unstable; urgency=low

  * new upstream release including heavy improvements in look and feel as
    well as several major improvements of the PostScript preprocessor and
    several new features.
  * this version can no longer be used with standard Athena Widgets. This
    release uses (and depends on) the shared Xaw3d library. By using the
    -rpath option, the library has to be installed, but doesn't have to be
    used as replacement for Xaw. It would be possible to link it
    statically against Xaw3d (still dynamically linking all the rest).
    If there are enough requests for this, I'll change the package to do
    this.
    For people compiling from source, simply use the other definition of
    XAWLIB in config.Unix for the static version.
    Note that the standard symlinks in /usr/X11R6/lib/Xaw3d may be
    incorrect. You should check them first if you want to compile gv with
    shared libXaw3d.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sun, 27 Apr 1997 02:05:17 +0200

gv (2.9.4-2) frozen unstable; urgency=low

  * fixed typo
  * uploaded to frozen

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Fri, 18 Apr 1997 01:01:13 +0200

gv (2.9.4-1) unstable; urgency=low

  * new upstream release
  * fixed prerm script (Bug# 7857)
  * added menu entries
  * added direct access to HTML docs according to Webstandard via menu.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sat, 5 Apr 1997 13:06:04 +0200

gv (2.7b6-1) unstable; urgency=low

  * fixed bug 6718 (wrong MIME viewer installation)
  * fixed bug 7228 (app-default problem)
  * converted to new debian standard version 2.1.2.2
  * new upstream release

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Thu, 20 Feb 1997 01:04:29 +0100

gv (2.7b5-3) unstable; urgency=low

  * fixed bug 4700 (gv not stripped)
  * added mime type application/ghostview
  * added Provides: postscript-viewer, pdf-viewer
  * finally found all functions using private Xaw code and eliminated
    them. Now there is just one gv package for both standard and 3D Athena
    Widgets. fixed control files for this.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Thu, 17 Oct 1996 22:56:53 +0200

gv (2.7b5-2) unstable; urgency=low

  * fixed install-mime entry in postinst
  * fixed app-defaults file for 2d gv

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sat, 5 Oct 1996 10:48:54 +0200

gv (2.7b5-1) unstable; urgency=LOW

  * First Debian release of the gv PostScript/PDF viewer.
    several changes had to be made in order to support
    standard Athena Widgets as well as Xaw3d.
  * Regretfully there is currently no way to make a binary supporting
    both kinds at the same time.

 -- Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>  Sat, 5 Oct 1996 10:48:08 +0200
